import { WidgetBase } from "@csnext/cs-client";
import { GraphElement } from "@csnext/cs-data";
import { TextEntity } from "@csnext/cs-data";
import { DocDatasource } from "../../datasources/doc-datasource";
import { GraphDocument } from "../../classes/document/graph-document";
import { FeatureType } from "@csnext/cs-data";
export default class SelectionPopup extends WidgetBase {
    editor: any;
    entity?: TextEntity;
    text?: any;
    source?: DocDatasource;
    document?: GraphDocument;
    tab: string;
    viewtab: number;
    searchNode: boolean;
    potentialTypes: FeatureType[];
    addNote: boolean;
    searchOnline: {};
    searchMode: string;
    from?: number;
    to?: number;
    newCategory: FeatureType | null;
    newEntityNode: GraphElement;
    suggestions: any[] | null;
    nearbyElements: {
        distance: number;
        poi: GraphElement;
    }[];
    constructor();
    contentLoaded(): void;
    private updateEntity;
    private updateLinked;
    createEntity(): Promise<void>;
    private getScore;
    updateSuggestions(): void;
    getComponentCard(): string | import("vue").Component<import("vue/types/options").DefaultData<never>, import("vue/types/options").DefaultMethods<never>, import("vue/types/options").DefaultComputed, import("vue/types/options").DefaultProps> | import("vue/types/umd") | null;
    createNewNode(ft: FeatureType): Promise<void>;
    graphNode(entity: TextEntity): void;
    locateOnMap(): void;
    nearby(): void;
    unlinkEntity(): Promise<void>;
    includeEntity(): Promise<void>;
    excludeEntity(): Promise<void>;
    useLocation(target: GraphElement): Promise<void>;
    useSuggestion(target: GraphElement): Promise<void>;
    createNode(): Promise<void>;
    addEntityAsClass(entity: TextEntity, category: FeatureType): Promise<void>;
    linkNode(): Promise<void>;
    openNode(entity: TextEntity): void;
    publishChanges(): void;
    deleteEntity(): Promise<void>;
    private selectionChanged;
    private updatePotentialTypes;
    suggestedby: GraphElement | null;
    suggestedtime: number | null;
    updateAgents(): void;
    mounted(): void;
}
